Subject: Re: [patch 13/16] powerpc: make prom_init.o dependent on PPC_OF

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sat, 04 Nov 2006 07:34:28 +1100

> I don't know yet where the exact boarders are in the code between real
> OF and flat device tree. Maybe I can look at it once I have a proper
> device tree for my board.
> Out of curiosity I just disabled CONFIG_PPC_OF. There were two undefined
> references to functions I didn't need at the moment. After commenting
> them out the kernel compiled and booted. It saved me ~10k kernelsize,
> but ok, I thought I would still have flat tree support.

Hrm... it's unclear, I think we changed it a couple of times. In fact,
since the flat DT support is mandatory, I suppose CONFIG_PPC_OF could be
used as "supports booting from a real OF". But in this case, prom_init
is really the only thing that should be covered by it.

Right now, it's used for bits in pci_32.c which should always be enabled
for arch/powerpc so ...

Also, I think we could safely get rid of the pci_OF_bus_map. I don't
think it's ever been used and we have the devspec files now.

Ben.